<h1> Docker 安装
<h3>Docker 安装命令</h3>
</h1>

## CentOS 下安装

### 文档地址

```
https://docs.docker.com/engine/install/
```

### 卸载旧版本

```bash
sudo yum remove docker \
                  docker-client \
                  docker-client-latest \
                  docker-common \
                  docker-latest \
                  docker-latest-logrotate \
                  docker-logrotate \
                  docker-engine
```

### 设置 repository

```bash
sudo yum install -y yum-utils
 sudo yum-config-manager \
    --add-repo \
    https://download.docker.com/linux/centos/docker-ce.repo
```

### 安装 Docker Engine

```bash
sudo yum install docker-ce docker-ce-cli containerd.io docker-compose-plugin
```

### 启动 Docker

```bash
sudo systemctl start docker
```

### 设置 Docker 开机自启动

```
sudo systemctl enable docker
```
